Home Information Classes Download Usage Mail List Requirements Links Tutorial

# PoleZero Class Reference

STK one-pole, one-zero filter class. More...

`#include <PoleZero.h>`

Inheritance diagram for PoleZero:

List of all members.

## Public Member Functions

| PoleZero ()
| Default constructor creates a first-order pass-through filter.
| ~PoleZero ()
| Class destructor.
void | clear (void)
| Clears the internal states of the filter.
void | setB0 (MY_FLOAT b0)
| Set the b[0] coefficient value.
void | setB1 (MY_FLOAT b1)
| Set the b[1] coefficient value.
void | setA1 (MY_FLOAT a1)
| Set the a[1] coefficient value.
void | setAllpass (MY_FLOAT coefficient)
| Set the filter for allpass behavior using coefficient.
void | setBlockZero (MY_FLOAT thePole=0.99)
| Create a DC blocking filter with the given pole position in the z-plane.
void | setGain (MY_FLOAT theGain)
| Set the filter gain.
MY_FLOAT | getGain (void) const
| Return the current filter gain.
MY_FLOAT | lastOut (void) const
| Return the last computed output value.
MY_FLOAT | tick (MY_FLOAT sample)
| Input one sample to the filter and return one output.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Input vectorSize samples to the filter and return an equal number of outputs in vector.

## Detailed Description

STK one-pole, one-zero filter class.

This protected Filter subclass implements a one-pole, one-zero digital filter. A method is provided for creating an allpass filter with a given coefficient. Another method is provided to create a DC blocking filter.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 20 of file PoleZero.h.

## Member Function Documentation

void PoleZero::setAllpass | ( | MY_FLOAT | coefficient | ) |

| Set the filter for allpass behavior using coefficient. This method uses coefficient to create an allpass filter, which has unity gain at all frequencies. Note that the coefficient magnitude must be less than one to maintain stability.

void PoleZero::setBlockZero | ( | MY_FLOAT | thePole = 0.99 | ) |

| Create a DC blocking filter with the given pole position in the z-plane. This method sets the given pole position, together with a zero at z=1, to create a DC blocking filter. thePole should be close to one to minimize low-frequency attenuation.

void PoleZero::setGain | ( | MY_FLOAT | theGain | ) | `[virtual]`

| Set the filter gain. The gain is applied at the filter input and does not affect the coefficient values. The default gain value is 1.0. Reimplemented from Filter.

The documentation for this class was generated from the following file:

- PoleZero.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.